

<?php if (!$this->fatalError): ?>

    <?= Form::open(['class' => 'layout']) ?>

        <div class="layout-row">
            <?= $this->formRender() ?>
        </div>

        <div class="form-buttons">
            <div class="loading-indicator-container">
                <button
                    id="save"
                    type="submit"
                    data-request="onSave"
                    data-request-data="redirect:0"
                    data-hotkey="ctrl+s, cmd+s"
                    data-load-indicator="<?= e(trans('backend::lang.form.saving')) ?>"
                    class="btn btn-primary">
                    <?= e(trans('backend::lang.form.save')) ?>
                </button>
                <button
                    id="savenclose"
                    type="button"
                    data-request="onSave"
                    data-request-data="close:1"
                    data-hotkey="ctrl+enter, cmd+enter"
                    data-load-indicator="<?= e(trans('backend::lang.form.saving')) ?>"
                    class="btn btn-default">
                    <?= e(trans('backend::lang.form.save_and_close')) ?>
                </button>
                <button
                    type="button"
                    class="oc-icon-trash-o btn-icon danger pull-right"
                    data-request="onDelete"
                    data-load-indicator="<?= e(trans('backend::lang.form.deleting')) ?>"
                    data-request-confirm="<?= e(trans('backend::lang.form.confirm_delete')) ?>">
                </button>

                <span class="btn-text">
                    <?= e(trans('backend::lang.form.or')) ?> <a href="<?= Backend::url('lovata/shopaholic/salesperiod') ?>"><?= e(trans('backend::lang.form.cancel')) ?></a>
                </span>
            </div>
        </div>
    <?= Form::close() ?>

<?php else: ?>
    <p class="flash-message static error"><?= e(trans($this->fatalError)) ?></p>
    <p><a href="<?= Backend::url('lovata/shopaholic/salesperiod') ?>" class="btn btn-default"><?= e(trans('backend::lang.form.return_to_list')) ?></a></p>
<?php endif ?>
<script>
    $('#Form-field-SalesPeriod-coupon_id').change(function() {
        $('#save').prop('disabled', true);
        $('#savenclose').prop('disabled', true);
        setTimeout(() => {
            var selected = $('.select2-selection__rendered').attr('title')

            var endDate = selected.split(':')[2];
            var startDate = selected.split(':')[1].split(',')[0].replace(' ', '');

            var finalDateStart = '';
            var inputStart = $('#Form-field-SalesPeriod-start_date');
            var inputStart2 = $('#DatePicker-formStartDate-date-start_date');
            var date = startDate.split('/');
            finalDateStart = date[2]+'-'+date[1]+'-'+date[0]+' 00:00:00';
            inputStart.val(finalDateStart);
            inputStart2.val(startDate);

            var finalDateEnd = '';
            var inputEnd = $('#Form-field-SalesPeriod-end_date');
            var inputEnd2 = $('#DatePicker-formEndDate-date-end_date');
            var date = endDate.replace(' ', '').split('/');
            finalDateEnd = date[2]+'-'+date[1]+'-'+date[0]+' 00:00:00';
            inputEnd.val(finalDateEnd);
            inputEnd2.val(endDate);

            $('#save').prop('disabled', false);
            $('#savenclose').prop('disabled', false);
        }, 1000);
    });
</script>